<template>
  <div>
    <v-row class="pa-12" align="center" justify="center">
      <v-col cols="12" class="text-center">
        <div
          :class="
            $vuetify.breakpoint.mdAndDown
              ? 'text-center global-box-view'
              : 'global-box-view'
          "
        >
          <h2>
            {{ $t('monitoringSolution.witchService.title') }}
          </h2>
          <p class="pa-3">
            {{ $t('monitoringSolution.witchService.description') }}
          </p>
        </div>
      </v-col>
      <v-col cols="12" md="10">
        <v-carousel
          cycle
          height="430px"
          hide-delimiter-background
          :hide-delimiters="$vuetify.breakpoint.mdAndDown"
        >
          <v-carousel-item v-for="(slide, i) in dataGiven.slides" :key="i">
            <v-sheet :color="colors[i]" height="100%">
              <v-row class="fill-height" align="center" justify="center">
                <div
                  :class="
                    $vuetify.breakpoint.mdAndDown
                      ? 'pr-3 pl-3'
                      : 'display-1 text-center pa-2'
                  "
                >
                  {{ slide.title }}
                </div>
              </v-row>
            </v-sheet>
          </v-carousel-item>
        </v-carousel>
      </v-col>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'MonService',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {
      colors: [
        'pink darken-2',
        'warning',
        'pink darken-1',
        'red lighten-1',
        'deep-purple accent-4',
        'purple lighten-1',
        'deep-purple lighten-1',
        'teal darken-1',
        'green darken-3',
        'orange darken-1',
      ],
    };
  },
};
</script>
